curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/portals/{id}/articles \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"title": "Article Title",
"slug": "article-title",
"position": 1,
"content": "This is the content of the article",
"description": "This is the description of the article",
"category_id": 1,
"author_id": 1,
"associated_article_id": 2,
"status": 1,
"locale": "en",
"meta": {
"tags": [
"article_name"
],
"title": "article title",
"description": "article description"
}
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Article Title',
slug: 'article-title',
position: 1,
content: 'This is the content of the article',
description: 'This is the description of the article',
category_id: 1,
author_id: 1,
associated_article_id: 2,
status: 1,
locale: 'en',
meta: {
tags: ['article_name'],
title: 'article title',
description: 'article description'
}
})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/portals/{id}/articles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/portals/{id}/articles"
payload = {
"title": "Article Title",
"slug": "article-title",
"position": 1,
"content": "This is the content of the article",
"description": "This is the description of the article",
"category_id": 1,
"author_id": 1,
"associated_article_id": 2,
"status": 1,
"locale": "en",
"meta": {
"tags": ["article_name"],
"title": "article title",
"description": "article description"
}
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"content": "<string>",
"meta": {},
"position": 123,
"status": "draft",
"title": "<string>",
"slug": "<string>",
"views": 123,
"portal_id": 123,
"account_id": 123,
"author_id": 123,
"category_id": 123,
"folder_id": 123,
"associated_article_id": 123
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Add a new article
Add a new article to portal
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/portals/{id}/articles \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"title": "Article Title",
"slug": "article-title",
"position": 1,
"content": "This is the content of the article",
"description": "This is the description of the article",
"category_id": 1,
"author_id": 1,
"associated_article_id": 2,
"status": 1,
"locale": "en",
"meta": {
"tags": [
"article_name"
],
"title": "article title",
"description": "article description"
}
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Article Title',
slug: 'article-title',
position: 1,
content: 'This is the content of the article',
description: 'This is the description of the article',
category_id: 1,
author_id: 1,
associated_article_id: 2,
status: 1,
locale: 'en',
meta: {
tags: ['article_name'],
title: 'article title',
description: 'article description'
}
})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/portals/{id}/articles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/portals/{id}/articles"
payload = {
"title": "Article Title",
"slug": "article-title",
"position": 1,
"content": "This is the content of the article",
"description": "This is the description of the article",
"category_id": 1,
"author_id": 1,
"associated_article_id": 2,
"status": 1,
"locale": "en",
"meta": {
"tags": ["article_name"],
"title": "article title",
"description": "article description"
}
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"content": "<string>",
"meta": {},
"position": 123,
"status": "draft",
"title": "<string>",
"slug": "<string>",
"views": 123,
"portal_id": 123,
"account_id": 123,
"author_id": 123,
"category_id": 123,
"folder_id": 123,
"associated_article_id": 123
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.
Path Parameters
The numeric ID of the account
The slug identifier of the portal
Body
The title of the article
"Article Title"
The slug of the article
"article-title"
article position in category
1
The text content.
"This is the content of the article"
The description of the article
"This is the description of the article"
The category id of the article
1
The author agent id of the article
1
To associate similar articles to each other, e.g to provide the link for the reference.
2
The status of the article. 0 for draft, 1 for published, 2 for archived
1
The locale of the article
"en"
Use for search
{
"tags": ["article_name"],
"title": "article title",
"description": "article description"
}
Response
Success
The text content.
draft, published, archived To associate similar articles to each other, e.g to provide the link for the reference.